Name:		which
Summary:	Displays where a particular program in your path is located
Version:	2.23
Release:	%mkrel 2
License:	GPLv3
Group:		System/Base
URL:		https://ftp.gnu.org/gnu/which/
Source0:	https://ftp.gnu.org/gnu/which/%{name}-%{version}.tar.gz
Patch0:		which-2.21-warning.patch
# (tpg) liberty-devel
BuildRequires:	binutils-devel
BuildRequires:	readline-devel

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc README* AUTHORS EXAMPLES NEWS
%{_bindir}/which
%{_mandir}/man1/which.1*
%{_infodir}/*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 2.23-2.mga10
+ Revision: 2250725
- Mageia 10 Mass Rebuild

* Sat Apr 05 2025 daviddavid <daviddavid> 2.23-1.mga10
+ Revision: 2173550
- new version: 2.23

* Fri Apr 05 2024 wally <wally> 2.21-8.mga10
+ Revision: 2054696
- basesystem rebuild for i686

* Fri Mar 18 2022 umeabot <umeabot> 2.21-7.mga9
+ Revision: 1797768
- Mageia 9 Mass Rebuild

* Thu Apr 16 2020 tv <tv> 2.21-6.mga8
+ Revision: 1567760
- add coverity fixes

* Tue Feb 11 2020 umeabot <umeabot> 2.21-5.mga8
+ Revision: 1488952
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 03 2018 tv <tv> 2.21-4.mga7
+ Revision: 1256358
- remove useless deps on info-install

* Fri Feb 12 2016 umeabot <umeabot> 2.21-3.mga6
+ Revision: 959177
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.21-2.mga6
+ Revision: 867911
- rebuild for mga6

* Sun Jun 21 2015 luigiwalser <luigiwalser> 2.21-1.mga6
+ Revision: 837372
- remove patches 1 and 2 (fixed upstream)
- 2.21

* Wed Oct 15 2014 umeabot <umeabot> 2.20-11.mga5
+ Revision: 739841
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20-10.mga5
+ Revision: 690305
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20-9.mga4
+ Revision: 520187
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.20-8.mga3
+ Revision: 385689
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 2.20-7.mga3
+ Revision: 259534
- rebuild to get info pages as xz instead of lzma

* Sun Jan 09 2011 ahmad <ahmad> 2.20-6.mga1
+ Revision: 4230
- imported package which


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.20-6mdv2011.0
+ Revision: 608168
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.20-5mdv2010.1
+ Revision: 520291
- rebuilt for 2010.1

* Sat Oct 03 2009 Funda Wang <fwang@mandriva.org> 2.20-4mdv2010.0
+ Revision: 452793
- rebuild

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 2.20-3mdv2009.1
+ Revision: 319106
- rediffed one fuzzy patch

* Thu Aug 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.20-1mdv2009.0
+ Revision: 265359
- update to new version 2.20

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.19-3mdv2009.0
+ Revision: 225925
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.19-2mdv2008.1
+ Revision: 171172
- rebuild

* Wed Jan 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.19-1mdv2008.1
+ Revision: 157109
- new version
- rediff the AFS patch
- add missing buildrequires on binutils-devel and readline-devel
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.17-1mdv2008.1
+ Revision: 98845
- new version
- bunzip patches

* Fri Aug 24 2007 Thierry Vignaud <tv@mandriva.org> 2.16-5mdv2008.0
+ Revision: 70944
- convert prereq
- Import which



* Sun Jul 02 2006 Stefan van der Eijk <stefan@mandriva.org> 2.16-4
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.16-3mdk
- Rebuild

* Sun Jan 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.16-2mdk
- rebuild
- drop .bz2 ending for man pages in %%files
- fix summary-ended-with-dot

* Thu Dec 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.16-1mdk
- new release
- rediff and simplify patch 3

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.14-5mdk
- rebuild

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.14-4mdk
- build release

* Mon Oct 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.14-3mdk
- remove useless prefix
- patch 2 : use access instead stat in AFS environment 

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.14-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Aug  2 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.14-1mdk
- Version 2.14
- Use %%configure2_5x, %%makeinstall_std
- Do not regenerate autoconf/automake files, breaks build

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.13-5mdk
- Automated rebuild in gcc3.1 environment

* Fri Aug 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.13-4mdk
- new release
- sanitize spec file

* Sun Mar 04 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.12-4mdk
- Fix info files entry.
- Fix %%files.

* Fri Feb 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.12-3mdk
- Whoops, info files were not getting installed

* Fri Feb 23 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.12-2mdk
- Change specfile permissions (rpmlint warning)
- List more docs in doc macro
- Generate automake and autoconf-derived files in prep stage

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.12-1mdk
- new and shiny vesion.

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.11-1mdk
- BM
- 2.11
- Even More Cleanup Of Specs :-)

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.9-5mdk
- Clean up specs.
- Use makeinstall macros.

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.9-4mdk
- new group System/Base
- updated BuildRoot

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Wed Aug 18 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add defattr

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 2.8 :
	* aclocal.m4 was missing from the tar, resulting in
	  a build failure if autoconf isn't installed.


* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Upgrade to the offical version of Gnu project.
- Rewriting the spec-files.
- 2.7 :
    * Support for aliases
    * Configure/compile fix in the `tilde' directory.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- handle RPM_OPT_FLAGS
- Makefiles and source code are NOT docs.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc
